Subject: Re: Read only folders for some, read-write for others

From: David L Miller <[email-masked]>
Date: Thu, 24 Feb 1994 14:18:55 -0800 (PST)

Elmar,

Sorry about the late reply.  The ideal behavior would be for Pine to know 
that the folder was read-only and to not attempt to get write access.  
Unfortunately, there is currently no mechanism for this except for the 
first folder opened, in which case you can use "-o" on the command line.  

Perhaps the following would work in your .pinerc:

	inbox-path={develop}/home/develop/compute/incoming
	incoming-folders=Personal /usr/spool/mail/$USER

Then set up pine as an alias to "pine -o".

I hope this helps!

--DLM

|\ |  |\/|  David L. Miller    [email-masked]  (206) 685-6240
|/ |_ |  |  Software Engineer, Pine Development Team   (206) 685-4045 (FAX)
University of Washington, Networks & Distributed Computing
4545 15th Ave NE, Seattle WA 98105, USA

On Thu, 20 Jan 1994, Elmar Kurgpold wrote:

> I've been trying to setup a folder that many people could open up with
> read-only access, and one designated person could read and write.  I tried
> some variations on the methods in the attached message below, but couldn't
> get anything to work with IMAP.  By the way, I want this folder to be
> treated as an incoming folder. 
> 
> Right now, the only thing that works is
> 
> incoming-folders=incoming  {develop}/home/develop/compute/incoming
> 
> Then I just do some Unix group ownership tricks to allow only the owner of
> the file to modify it.  However, this results in some strange messages and
> weird behavior when opening the folder read-only, which I'd like to avoid
> since it is confusing.  Anyone have any ideas how I can do this and still
> use IMAP?
> 
> -------------------------------------         ,-,,-,   __
> | Elmar Kurgpold                    |  ______/     /_,'  |
> | Network Administrator             |  \________________/
> | University of Southern California |       |<) (> |
> | The Law Center                    |    (  | oo   |
> | [email-masked]              |     ) `|  |--'
> | (213)740-2571 FAX: (213)740-5502  |    (___^^^^|
> -------------------------------------       (____'
> 
> 
> 
> On Fri, 3 Dec 1993, Terry Gray wrote:
> 
> > Isaias,
> >   "news.u.washington.edu" is only an example; it is not available to you
> > for news access.  You will need to find a news server (perhaps from
> > your Internet provider) that you can use.
> > 
> > Chances are you really do want to use nntp, since it is easier to find 
> > news servers that run nntp than those that run IMAPd and will let you 
> > have an account on them.  (Unlike nntp, IMAPd uses a newsrc file on 
> > the same machine as the news database.)
> > 
> > Remember that *for now* you must run another newsreader to initially
> > create a suitable newsrc file.  Once you have successfully read news via
> > some other program, presumably using nntp, it should be easy to get Pine
> > to do the same. 
> > 
> > -teg
> > 
> > On Fri, 3 Dec 1993, Isaias Callejas Mancilla. wrote:
> > 
> > > On Thu, 2 Dec 1993, David L Miller wrote:
> > > 
> > > > 
> > > > Henry,
> > > > 
> > > > You need to specify the news server in your .pinerc file.  Something like
> > > > 
> > > > news-collections=*{server/nntp}[*]
> > > > 
> > > > where "server" is the name of the NNTP server you want to use.  You will 
> > > > also need a .newsrc file as generated by another newsreader like rrn or 
> > > > nn.
> > > > 
> > > > --DLM
> > > > 
> > > > |\ |  |\/|  David L. Miller    [email-masked]  (206) 685-6240
> > > > |/ |_ |  |  Software Engineer, Pine Development Team   (206) 685-4045 (FAX)
> > > > University of Washington, Networks & Distributed Computing
> > > > 4545 15th Ave NE, Seattle WA 98105, USA
> > > > 
> > > > On Thu, 2 Dec 1993, Henry Kuo wrote:
> > > > 
> > > > > Hi! Everyone:
> > > > > 
> > > > > How can I read newsgroup by pine?
> > > > > 
> > > > > 
> > > > >             `~~~~~~
> > > > >              @(0-0)
> > > > > ---------oOO----^---OOo-------
> > > > > 
> > > > > ^.^ Henry.........
> > > > > ------------------------------
> > > > >                 
> > > 
> > >   That's O.K..
> > > 	In my ".pinerc" configuration file I have got it :
> > > 
> > > # news-collections specifies one or more collections of news groups.
> > > # News collection syntax: optnl-label *{news-host/protocol}[]
> > > # Examples:
> > > # news-collections=News *[]   <-- if your login host carries news
> > > # news-collections=Subscribed-Groups *{news.u.washington.edu/nntp}[]
> > > news-collections=News *{news.u.washington.edu/imapd}[]
> > > 						^
> > >   I haven't nntp yet...then type "imapd"--------|
> > > 
> > >   When PINE show me the folder's screen, exist a line about remote 
> > > conection :
> > > 
> > >       " [ Select Here to See Expanded List ]"
> > > 
> > > Then I press <return> on it and PINE connect to news.u.washington.edu, but
> > > ask me for a "login" and "password"....
> > >    I don't know what type!!!
> > > 
> > >  Pardon if is it obvious... but I don't know what type...or 
> > > news.u.washington.edu is not a server for "news"???
> > > 
> > > Than's in advance... :(
> > > 
> > >       /#######               E. Isaias Callejas M.
> > >     /#       /############   Group System Managers from Microvax 3400 System
> > >   /##      /##############   Coordination of Computing Services
> > >   ###    /##           ###   Academic Computing
> > >   ###    ###           ###   National University of Mexico
> > >   ###    ##########    ###
> > >   ###           ###    ###  =================================================
> > >   ###           ##/    ###  
> > >   ##############/      ##/   Internet :  [email-masked]
> > >   ############/       #/     Bitnet   :  [email-masked]
> > >               #######/ 
> > > 
> > > 
> > > 
> > > 
> >